- request:
    path: /api/v4/projects/{{project_name}}/merge_requests
    method: GET
    query_params:
      source_branch:
        matcher: ShouldStartWith
        value: dependabot-bundler-{{dependency}}
      state:
        matcher: ShouldNotEqual
        value: closed
  response:
    status: 200
    headers:
      Content-Type: application/json
    body: |
      [
        {
          "id": {{id}},
          "iid": {{iid}},
          "project_id": 32058529,
          "web_url": "#{AppConfig.gitlab_url}/{{project_name}}/-/merge_requests/{{iid}}",
          "reference": "!{{iid}}",
          "references": {
            "short": "!{{iid}}",
            "relative": "!{{iid}}",
            "full": "{{project_name}}!{{iid}}"
          },
          "sha": "bd101cbfe6c71201abdb03e3193766de42f64560",
          "has_conflicts": {{has_conflicts}}
        }
      ]
